# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [1.5.0] - 2025-02-28

### Added
- Initial implementation of `BlestaRequest` class for making API requests.
- Initial implementation of `BlestaResponse` class for handling API responses.
- Unit tests for `BlestaRequest` class methods: `get`, `post`, `put`, `delete`, `submit`, `get_last_request`.
- Unit tests for `BlestaResponse` class methods: `response`, `response_code`, `raw`, `status_code`, `errors`.

### Changed
- Updated `BlestaResponse` class to handle invalid JSON responses correctly.
- Improved error handling in `BlestaResponse` class.

### Fixed
- Fixed issue with `BlestaResponse` class where `errors` method returned incorrect structure for invalid JSON responses.

## [0.1.4] - 2025-01-20

### Added
- New features and improvements.

### Fixed
- Bug fixes and performance improvements.

## [0.1.3] - 2025-01-20 [YANKED]

### Added
- New features and improvements.

### Fixed
- Bug fixes and performance improvements.

## [0.1.2] - 2025-01-20 [YANKED]

### Added
- New features and improvements.

### Fixed
- Bug fixes and performance improvements.

## [0.1.1] - 2025-01-19 [YANKED]

### Added
- New features and improvements.

### Fixed
- Bug fixes and performance improvements.

## [0.1.0] - 2025-01-19

### Added
- Initial release of `blesta_sdk` package.
- Basic functionality for making API requests to Blesta API.
- Environment variable support for API URL, user, and key.
- Basic unit tests for API request and response handling.
